### File

`src/lib/remote-method-loader.ts`

### Extends

`DefinitionLoader`

### Index

###### Methods
Public Async call$

### Methods

Public Async call$
`call$(remoteMethodIdOrInstanceOrToken: IdOrInstanceOrToken<BaseRemoteMethod<ReturnType, Parameters, Metadata>>, parameters: Parameters, metadata?: Partial<BaseRemoteMethodMetadata>, injector?: Injector, notFoundValue?: BaseRemoteMethod<ReturnType | Parameters | Metadata>, flags?: InjectFlags)`
Defined in src/lib/remote-method-loader.ts:18
Type parameters : ReturnType Parameters Metadata
Parameters :
Name | Type | Optional
remoteMethodIdOrInstanceOrToken | `IdOrInstanceOrToken<BaseRemoteMethod<ReturnType, Parameters, Metadata>>` | No
parameters | `Parameters` | No
metadata | `Partial<BaseRemoteMethodMetadata>` | Yes
injector | `Injector` | Yes
notFoundValue | `BaseRemoteMethod<ReturnType | Parameters | Metadata>` | Yes
flags | `InjectFlags` | Yes
Returns : `Promise<ReturnType>`

    import {
      Injectable,
      InjectFlags,
      Injector,
    } from '@angular/core';
    import {
      BaseRemoteMethod,
      BaseRemoteMethodMetadata,
    } from './base.remote-method';
    import {
      DefinitionLoader,
      IdOrInstanceOrToken,
    } from '@rxap/definition';

    @Injectable({ providedIn: 'root' })
    export class RemoteMethodLoader extends DefinitionLoader {

      public async call$<ReturnType = any, Parameters = any, Metadata extends BaseRemoteMethodMetadata = BaseRemoteMethodMetadata>(
        remoteMethodIdOrInstanceOrToken: IdOrInstanceOrToken<BaseRemoteMethod<ReturnType, Parameters, Metadata>>,
        parameters: Parameters,
        metadata?: Partial<BaseRemoteMethodMetadata>,
        injector?: Injector,
        notFoundValue?: BaseRemoteMethod<ReturnType, Parameters, Metadata>,
        flags?: InjectFlags,
      ): Promise<ReturnType> {
        return this
          .load(
            remoteMethodIdOrInstanceOrToken,
            metadata,
            injector,
            notFoundValue,
            flags,
          )
          .call(parameters);
      }

    }

# results matching ""

# No results matching ""